Rapid7 Vulnerability & Exploit Database

Ubuntu: USN-4515-1 (CVE-2020-9274): Pure-FTPd vulnerability

Back to Search

Ubuntu: USN-4515-1 (CVE-2020-9274): Pure-FTPd vulnerability

Severity
5
CVSS
(AV:N/AC:L/Au:N/C:P/I:N/A:N)
Published
02/26/2020
Created
09/22/2020
Added
09/18/2020
Modified
09/18/2020

Description

An issue was discovered in Pure-FTPd 1.0.49. An uninitialized pointer vulnerability has been detected in the diraliases linked list. When the *lookup_alias(const char alias) or print_aliases(void) function is called, they fail to correctly detect the end of the linked list and try to access a non-existent list member. This is related to init_aliases in diraliases.c.

Solution(s)

  • ubuntu-upgrade-pure-ftpd
  • ubuntu-upgrade-pure-ftpd-common
  • ubuntu-upgrade-pure-ftpd-ldap
  • ubuntu-upgrade-pure-ftpd-mysql
  • ubuntu-upgrade-pure-ftpd-postgresql

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;